.m-unittest-template-table-data {
  margin: 2.4rem 0 0 0;

  &__content {
    position: relative;
    z-index: 2;

    padding: 0 0 0.8rem 0;

    .content {
      &__sup {
        display: flex;
        align-items: center;
        justify-content: space-between;
        flex-wrap: wrap;
        margin: 1.6rem 0 0 0;
        @include desktop-sm {
        margin: 0
        }
        .__sub-btn {
          height: 4rem;
          margin: 0 0.8rem 0 0;
          padding: 0 1.6rem;

          display: flex;
          align-items: center;

          background: #fff;
          border-radius: 1rem;
          box-shadow: 0 0.1rem 0.4rem rgba(115, 132, 152, 0.2);

          color: #526375;
          font-size: 1.4rem;
          font-weight: 500;

          img {
            width: 1.6rem;
            height: 1.6rem;
            margin: 0 0.8rem 0 0;

            display: block;

            object-fit: contain;
            object-position: center;
          }

          .__badge {
            position: relative;

            &[data-hidden="true"] {
              &::before {
                display: none;
              }
            }

            &::before {
              position: absolute;
              top: -0.5rem;
              right: 0rem;

              width: 1.4rem;
              height: 1.4rem;

              background: #c96851;
              border: 0.1rem solid #fff;
              border-radius: 50%;

              color: #fff;
              content: attr(data-value);
              font-size: 0.8rem;
              line-height: 1.2rem;
            }
          }
        }

        .__input-group {
          display: flex;
          flex-wrap: wrap;

          .__search-box {
            width: 45rem;
          }

          .__main-btn {
            height: 4rem;
            padding: 0 1.6rem;

            display: flex;
            align-items: center;

            background: #5cb9d8;
            border-radius: 1rem;
            box-shadow: none;

            color: #fff;
            font-size: 1.4rem;
            font-weight: 500;

            img {
              width: 1.6rem;
              height: 1.6rem;
              margin: 0 0.8rem 0 0;

              object-fit: contain;
              object-position: center;

              filter: brightness(5);
            }
          }

          .rs-btn {
            &[data-active="true"] {
              background: #d5dee8;

              .__badge {
                &::before {
                  border-color: #d5dee8;
                }
              }
            }
          }
          .__action-btn {
            height: 4rem;
            margin: 0 0 0 0.8rem;
            padding: 0 1.6rem;

            display: flex;
            align-items: center;

            background: #6868ac;
            border-radius: 1rem;
            box-shadow: none;

            color: #fff;
            font-size: 1.4rem;
            font-weight: 500;

            &.__block {
              background: rgba(98, 98, 188, 0.50);
              gap: 8px;
              padding: 10px;

              .__icon-package {
                width: 26px;
                height: 26px;
                border-radius: 8px;
                background-color: #FFF;
                box-shadow: 0px 4px 4px 0px rgba(76, 95, 168, 0.20);
                display: flex;
                justify-content: center;
                align-items: center;
              }
            }

            img {
              width: 1.6rem;
              height: 1.6rem;

              object-fit: contain;
              object-position: center;

              filter: brightness(5);
            }

            &.gray {
              background: #f1f1f9;
              color: #6262bc;

              img {
                filter: unset;
              }
            }
          }
        }

        .__action-group {
          .__action-btn {
            height: 4rem;
            margin: 0 0 0 0.8rem;
            padding: 0 1.6rem;

            display: flex;
            align-items: center;

            background: #6868ac;
            border-radius: 1rem;
            box-shadow: none;

            color: #fff;
            font-size: 1.4rem;
            font-weight: 500;

            img {
              width: 1.6rem;
              height: 1.6rem;
              margin: 0 0.8rem 0 0;

              object-fit: contain;
              object-position: center;

              filter: brightness(5);
            }

            &.gray {
              background: #f1f1f9;
              color: #6262bc;

              img {
                filter: unset;
              }
            }
          }
        }

        .searchbox {
          margin: 0 0.8rem 1.6rem 0;

          flex: 1;

          @include desktop-sm {
            width: calc(25% - 0.8rem);

            flex: unset;
          }
        }

        .filter-box {
          width: 12%;
          max-width: 15rem;
          margin: 0 0.8rem 1.6rem 0;

          @include desktop-sm {
            width: calc(25% - 0.8rem);
            max-width: unset;
          }
        }

        .reset-btn {
          height: 4rem;
          margin: 0 0.8rem 1.6rem 0;
          padding: 0 1.2rem;

          display: flex;
          align-items: center;

          background: #fff;
          border-radius: 1rem;
          box-shadow: 0 0.1rem 0.4rem rgba(115, 132, 152, 0.2);

          color: #526375;

          &:focus,
          &:hover {
            background: #fff;
            box-shadow: 0 0.1rem 0.4rem rgba(115, 132, 152, 0.2);

            color: #526375;
          }

          img {
            width: 1.6rem;
            height: 1.6rem;
            margin: 0 0.8rem 0 0;

            object-fit: contain;
            object-position: center;
          }
        }

        .submit-btn {
          height: 4rem;
          margin: 0 0.8rem 1.6rem 0;
          padding: 0 1.2rem;

          display: flex;
          align-items: center;

          background: #5cb9d8;
          border-radius: 1rem;
          box-shadow: 0 0.1rem 0.4rem rgba(115, 132, 152, 0.2);

          color: #fff;

          &:focus,
          &:hover {
            background: #5cb9d8;
            box-shadow: 0 0.1rem 0.4rem rgba(115, 132, 152, 0.2);

            color: #fff;
          }

          img {
            width: 2rem;
            height: 2rem;
            margin: 0 0.8rem 0 0;

            filter: brightness(5);
            object-fit: contain;
            object-position: center;
          }
        }
      }

      &__sub {
        width: calc(100% + 0.8rem);
        margin: 1.6rem -0.4rem 0 -0.4rem;

        display: flex;

        @include desktop-sm {
          flex-wrap: wrap;
        }

        .__filter-box {
          width: calc(12.5% - 0.8rem);
          margin: 0 0.4rem;

          flex: 1;
          &:nth-child(7){
            .rs-dropdown-menu{
              width: max-content;
            }
          }
          &.--grade{
            width: calc(11% - 0.8rem);
            flex: unset;
          }
          &.--series{
            width: calc(18% - 0.8rem);
            flex: unset;
          }
          &.--search{
            width: calc(22% - 0.8rem);
            flex: unset;
          }
          &.--skill{
            flex: 1;
          }
          @include desktop-sm {
            width: calc(25% - 0.8rem);
            margin: 0 0.4rem 1.6rem 0.4rem;

            flex: unset;
            &:nth-child(7){
              .rs-dropdown-menu{
                width: 100%;
              }
            }
            &:nth-child(4){
              z-index: 11
            }
            &.--search{
              width: calc(25% - 0.8rem);
              flex: unset;
              &.--xl{
                width: calc(32% - 0.8rem);
                flex: unset;
              }
            }
            &.--skill{
              width: calc(25% - 0.8rem);
              flex: unset;
              &.--sm{
                width: calc(18% - 0.8rem);
                flex: unset;
              }
            }
            &.--grade{
              width: calc(15% - 0.8rem);
              flex: unset;
            }
            &.--series{
              width: calc(35% - 0.8rem);
              flex: unset;
            }
          }
        }
        
      }
    }
  }

  &__container {
    position: relative;
    z-index: 1;

    padding: 0 1.6rem;

    overflow: auto;

    background: #fff;
    border-radius: 1.2rem;
    box-shadow: 0 0.1rem 0.4rem rgba(115, 132, 152, 0.2);

    // &::-webkit-scrollbar {
    //   width: 1.4rem;

    //   &-track {
    //     background: transparent;
    //   }

    //   &-thumb {
    //     background: rgba($color: #9cabbd, $alpha: 0.25);
    //     border-left: 0.4rem solid #fff;
    //     border-right: 0.4rem solid #fff;
    //     border-radius: 0.6rem;
    //   }
    // }
  }

  &__ending {
    margin: 1.6rem 0 0 0;
    padding: 0 0 1.6rem 0;

    display: flex;
    align-items: center;
    justify-content: space-between;
  }

  &__section-popover {
    max-width: 24rem;
    display: flex;
    flex-wrap: wrap;

    &.--tooltip {
      background-color: #fff;
      filter: drop-shadow(0 0.1rem 0.8rem rgba(0, 0, 0, 0.12));

      color: #526375;
      font-size: 1.2rem;
    }

    // @include desktop-sm {
    //   max-width: 12rem;
    // }

    .section-item {
      width: 12rem;
      min-height: 3.2rem;

      display: flex;
      align-items: center;

      img,
      svg {
        width: 1.6rem;
        height: 1.6rem;
        margin: 0 1.6rem 0 0;

        object-fit: contain;
        object-position: center;

        color: #5cb9d8;
      }
    }
  }

  .__direction {
    justify-content: space-between !important;
    gap: 1.6rem;
  }
  
  .__primary {
    margin: 0 !important;
  }
}
